Index: tabs.fl
===================================================================
--- tabs.fl	(revision 5619)
+++ tabs.fl	(working copy)
@@ -4,8 +4,66 @@
 code_name {.cxx}
 Function {} {open
 } {
+  Fl_Window wizard_window {
+    label {Wizard demo} open selected
+    xywh {757 167 312 236} type Double visible
+  } {
+    Fl_Wizard wizard {open
+      xywh {5 15 305 180}
+    } {
+      Fl_Group wizard_tab1 {open
+        xywh {5 15 305 180}
+      } {
+        Fl_Return_Button {} {
+          label {next (to tab 2)}
+          callback {wizard->next();}
+          xywh {15 55 160 25}
+        }
+        Fl_Box {} {
+          label {This is tab one}
+          xywh {15 84 160 22} box UP_BOX color 2
+        }
+      }
+      Fl_Group wizard_tab2 {open
+        xywh {5 15 305 180} hide
+      } {
+        Fl_Return_Button {} {
+          label {previous (to tab 1)}
+          callback {wizard->prev();}
+          xywh {15 25 160 25}
+        }
+        Fl_Return_Button {} {
+          label {next (to tab 3)}
+          callback {wizard->next();}
+          xywh {15 55 160 25}
+        }
+        Fl_Box {} {
+          label {This is tab two}
+          xywh {15 83 160 22} box UP_BOX color 3
+        }
+      }
+      Fl_Group wizard_tab3 {open
+        xywh {5 15 305 180} hide
+      } {
+        Fl_Return_Button {} {
+          label {previous (to tab 2)}
+          callback {wizard->prev();}
+          xywh {15 25 160 25}
+        }
+        Fl_Box {} {
+          label {This is tab three}
+          xywh {15 83 160 22} box UP_BOX color 6
+        }
+      }
+    }
+    Fl_Return_Button {} {
+      label {tabs demo}
+      callback {foo_window->show();}
+      xywh {5 200 130 30}
+    }
+  }
   Fl_Window foo_window {open
-    xywh {423 205 320 331} type Double resizable visible
+    xywh {582 176 320 331} type Double resizable visible
   } {
     Fl_Tabs {} {open
       tooltip {the various index cards test different aspects of the Fl_Tabs widget} xywh {10 10 300 200} selection_color 4 labelcolor 7 resizable
@@ -24,7 +82,7 @@
           code0 {o->tooltip("");}
         }
         Fl_Input {} {
-          label {input3:} selected
+          label {input3:}
           xywh {60 120 240 80}
         }
       }
@@ -73,7 +131,7 @@
       }
       Fl_Group {} {
         label tab4 open
-        tooltip {this tab show the issue of indicating a selcted tab if the tab layouts are very similar} xywh {10 30 300 180} selection_color 5 labelfont 2 hide
+        tooltip {this tab shows the issue of indicating a selcted tab if the tab layouts are very similar} xywh {10 30 300 180} selection_color 5 labelfont 2 hide
       } {
         Fl_Button {} {
           label button2
@@ -139,5 +197,10 @@
       xywh {250 290 60 30}
       code0 {\#include <stdlib.h>}
     }
+    Fl_Return_Button {} {
+      label {wizard demo}
+      callback {wizard_window->show();}
+      xywh {10 290 130 30}
+    }
   }
 } 
